proto_hierarchyp0_(proto_hierarchyp0__dcl).
proto_hierarchyp0__dcl(parent(_94477),p(p(p)),static,no).
proto_hierarchyp0__dcl(parents(_94477),p(p(p)),static,no).
:-(proto_hierarchyp0__dcl(_94475,_94476,_94477,_94478,proto_hierarchyp),proto_hierarchyp0__dcl(_94475,_94476,_94477,_94478)).
:-(proto_hierarchyp0__dcl(_94475,_94476,_94477,_94478,_94479),hierarchyp0__dcl(_94475,_94476,_94477,_94478,_94479)).
:-(initialization('$lgt_assert_relation_clauses'(['$lgt_current_protocol_'(proto_hierarchyp,proto_hierarchyp0_),'$lgt_extends_protocol_'(proto_hierarchyp,hierarchyp,public)]))).
